<?php
$loader = $this->registry->get('load');
$loader->controller('product/productList');

class ControllerModuleBoughtAlso extends ControllerProductProductList
{

    public function index($setting = null)
    {
        $this->language->load('module/boughtalso');

        if (isset($setting['hide_title'])) {
            $heading_title = false;
        } else {
            $heading_title = ($this->config->get('boughtalso_title')) ? $this->config->get('boughtalso_title') : $this->language->get('heading_title');
        }

        $this->data['product_id'] = $this->request->get['product_id'];

        $this->data['heading_title'] = $heading_title;

        $this->data['product_list_title_style'] =  $this->config->get('product_list_title_style');
        $this->data['Type_ProductListTitleStyle'] = $this->load->typeForTwig('Type_ProductListTitleStyle');

        $this->childrenData = array(
            'product/productList/moduleBoughtalso' => $setting
        );

        $this->render('module/boughtalso');
    }


}
